tvbrowser.core

## Class PluginLoader

- java.lang.Object
- - tvbrowser.core.PluginLoader

-     public class PluginLoader
      extends java.lang.Object

  The PluginLoader loads all plugins and assigns each plugin to the appropriate manager (TvDataServiceProxyManager or PluginProxyManager)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteAllPluginProxies()` delete all plugin proxies to force re-reading the plugin classes on next start
    `boolean` | `deleteDataService(TvDataServiceProxy service)` Delete a data service
    `boolean` | `deletePlugin(PluginProxy proxy)` Delete a Plugin
    `PluginBaseInfo[]` | `getInfoOfAvailablePlugins()` Gets the base infos for all available plugins.
    `static PluginLoader` | `getInstance()`
    `boolean` | `hasToShowMouseInfo()`
    `void` | `installPendingPlugins()` Installs all plugins that could not be installed the last time, because an old version was in use.
    `boolean` | `isDataServiceDeletable(TvDataServiceProxy service)` Is a data service deleteable ?
    `boolean` | `isPluginDeletable(PluginProxy plugin)` Is a Plugin deleteable ?
    `void` | `loadAllPlugins()`
    `java.lang.Object` | `loadPlugin(java.io.File pluginFile, boolean deleteable)` Loads the plugin from the file system

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static PluginLoader getInstance()

    - #### installPendingPlugins

          public void installPendingPlugins()

      Installs all plugins that could not be installed the last time, because an old version was in use.

    - #### loadPlugin

          public java.lang.Object loadPlugin(java.io.File pluginFile,
                                    boolean deleteable)

      Loads the plugin from the file system
      Parameters:
        `pluginFile` - File to load
        `deleteable` - is the Plugin deleteable

    - #### loadAllPlugins

          public void loadAllPlugins()

    - #### deletePlugin

          public boolean deletePlugin(PluginProxy proxy)

      Delete a Plugin
      Parameters:
        `proxy` - Proxy for the Plugin that should be deleted
      Returns:
        true if successful

    - #### deleteDataService

          public boolean deleteDataService(TvDataServiceProxy service)

      Delete a data service
      Parameters:
        `service` - Data service that should be deleted
      Returns:
        true if successful
      Since:
        2.7

    - #### isPluginDeletable

          public boolean isPluginDeletable(PluginProxy plugin)

      Is a Plugin deleteable ?
      Parameters:
        `plugin` - Plugin that should be deleted
      Returns:
        true if deleteable

    - #### isDataServiceDeletable

          public boolean isDataServiceDeletable(TvDataServiceProxy service)

      Is a data service deleteable ?
      Parameters:
        `service` - Data service that should be deleted
      Returns:
        true if deleteable
      Since:
        2.7

    - #### deleteAllPluginProxies

          public void deleteAllPluginProxies()

      delete all plugin proxies to force re-reading the plugin classes on next start

    - #### getInfoOfAvailablePlugins

          public PluginBaseInfo[] getInfoOfAvailablePlugins()

      Gets the base infos for all available plugins.

      Returns:
        The array with the base info for all available plugins.

    - #### hasToShowMouseInfo

          public boolean hasToShowMouseInfo()

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)